SRCCRC(8)

NAME
srccrc - compute CRC checksums of the entire source tree

SYNOPSIS
srccrc

OPTIONS

EXAMPLES

DESCRIPTION

Srccrc traverses the entire /usr/include and /usr/src tree to run the crc command on all files found. The result is a long list of filenames with their checksums. The filenames are relative to /usr.

The command makes an effort to remove most junk files such as .o, .bak and files in bin directories. It cannot find single binaries however, so you will have to run make clean in /usr/src to be able to make a crc list that contains only source files.

Two crc files can be compared easily with the diff command. A crc list of the original source tree can be found in /usr/src/crclist.

SEE ALSO
crc(1).